# LinOTP-auth-freeradius

This is the LinOTP freeradius module, which will send the username and
password - including otp - to the LinOTP-server to verify.

## Getting Started

This section explains how to build the project locally

### Prerequesites

In order to build the project, you will need a working CMake.

### Building

With a recent freeradius (version 3.0.18 or higher) you can build the
module like this:

    mkdir build; cd build; cmake ..
    cmake --build .

The shared library can be found in src/rlm_linotp.so

#### Freeradius headers

The project needs a suitable set of headers for the freeradius server you
wish to use. As these headers were missing in verisons of Freeradius earlier
than 3.0.18, you may need to retrieve a usable copy. If the headers cannot
be used then Cmake will complain.

##### Specifying a header directory

You need to provide the header location as a Cmake parameter:

   `-DFREERADIUS_HEADER_DIR=<directory>`

For example:

    cmake -DFREERADIUS_HEADER_DIR=/tmp/freeradius/src/include

Note that the file automask.h is generated during the build process.

If that file is not available, CMake will complain and not attempt to build
the package. You will then need to generate that file by executing the following:

    configure
    make scan

### Configuration

The file mods-available/linotp should be edited. Ensure that the
baseurl is set to point to your linotp server URL.

## Copyright

Copyright (C) 2010 - 2019 KeyIdentity GmbH

## License

This project is licensed under the GPL 2 License - see the LICENSE file for details
